---
- name: Check if AlmaLinux PowerTools repository baseurl is given
  ansible.builtin.fail:
    msg: "Unsupported PowerTools repository baseurl: The variable repo_activation_epel_almalinux_powertools_baseurl can't be empty"
  when:
    - repo_activation_epel_enable_powertools | bool
    - repo_activation_epel_almalinux_powertools_baseurl | length == 0
    - ansible_distribution_major_version | int >= 8

- name: "Enable the PowerTools repository"
  ansible.builtin.yum_repository:
    name: "powertools"
    enabled: true
    description: "AlmaLinux-$releasever - PowerTools"
    file: "AlmaLinux-PowerTools"
    mirrorlist: "{{ repo_activation_epel_almalinux_powertools_mirrorlist }}"
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux"
  when:
    - repo_activation_epel_enable_powertools | bool
    - ansible_distribution_major_version | int >= 8

- name: "Disable the PowerTools repository"
  ansible.builtin.yum_repository:
    name: "powertools"
    enabled: false
    description: "AlmaLinux-$releasever - PowerTools"
    file: "AlmaLinux-PowerTools"
    mirrorlist: "{{ repo_activation_epel_almalinux_powertools_mirrorlist }}"
    gpgcheck: true
    gpgkey: "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux"
  when:
    - not repo_activation_epel_enable_powertools | bool
    - ansible_distribution_major_version | int >= 8
